name: TP4056
description: battery charger, Li-Ion, standalone, 1A
datasheet: https://datasheet.lcsc.com/szlcsc/1910111742_TPOWER-TP4056_C382139.pdf
distributor: LCSC C382139

pinout:
  TEMP: 1
  PROG: 2
  GND: 3
  VCC: 4
  BAT: 5
  nSTDBY: 6
  nCHRG: 7
  CE: 8

schematic:
  symbol: IC
  top: VCC
  bottom: GND
  left: CE, nSTDBY, nCHRG
  right: BAT, TEMP, PROG


housing:
  pattern: SOP
  bodyWidth: 3.8-4.0 # E
  bodyLength: 4.7-5.1 # D
  height: 1.35-1.75 # A
  pitch: 1.270 # e
  leadCount: 8
  leadLength: 0.4-1.27 # L
  leadSpan: 5.8-6.2 # E1
  leadWidth: 0.33-0.51 # b
  tabLength: 3.202-4.402 # D1
  tabWidth: 2.313-2.513 # E2
